<IfModule dav_module>
<IfModule dav_fs_module>
<IfModule setenvif_module>
<IfModule authn_file_module>

DavLockDB "/tmp/DavLock"
Alias /webdav "./../webdav"

<Directory "./../webdav">
    Dav On
    Order allow,deny
    Allow from all
    AuthName DAV-upload

    AuthType Basic
    AuthUserFile "/security/htpasswd.webdav"

       <LimitExcept GET HEAD OPTIONS>
        require valid-user
       </LimitExcept>
</Directory>
BrowserMatch "Microsoft Data Access Internet Publishing Provider" redirect-carefully
BrowserMatch "MS FrontPage" redirect-carefully
BrowserMatch "^WebDrive" redirect-carefully
BrowserMatch "^WebDAVFS/1.[0123]" redirect-carefully
BrowserMatch "^gnome-vfs/1.0" redirect-carefully
BrowserMatch "^XML Spy" redirect-carefully
BrowserMatch "^Dreamweaver-WebDAV-SCM1" redirect-carefully
BrowserMatch "MSIE" AuthDigestEnableQueryStringHack=On
</IfModule>
</IfModule>
</IfModule>
</IfModule>

